package com.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.sys.model.Version;

public interface VersionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Version record);

    int insertSelective(Version record);

    Version selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Version record);

    int updateByPrimaryKey(Version record);
	
	//根据版本号得到信息-安卓
	Version selectByVersion(@Param("version")String version);
	
	Version selectByAndroidName(@Param("version")String version);
	
	//根据版本号得到信息-安卓	
	Version selectByIOSVersion(@Param("iosVersion")String iosVersion);
	
	//添加安卓版本信息
	void insertVersion(Version record);
	//添加ios版本信息
	void insertIOSVersion(Version record);
	//获取最新版本号(ios)
	Version getNewVersion();
	
	Version getNewAndroid();
	
	List<Version> getIosList(Version version);
	
	List<Version> getAndroidList(Version version);
	
}